# $Revision: 1.22 $, $Date: 2001/10/20 16:50:16 $
Summary:	OpenGL Utility Toolkit (GLUT)
Summary(pl):	OpenGL Utility Toolkit (GLUT)
Name:		glut
Version:	3.7
Release:	9
License:	GPL
Group:		X11/Libraries
Group(de):	X11/Libraries
Group(es):	X11/Bibliotecas
Group(fr):	X11/Librairies
Group(pl):	X11/Biblioteki
Group(pt_BR):	X11/Bibliotecas
Group(ru):	X11/
Group(uk):	X11/̦
Source0:	http://reality.sgi.com/mjk_asd/glut3/%{name}-%{version}.tar.gz
Source1:	http://reality.sgi.com/mjk_asd/glut3/%{name}-3.spec.ps.gz
Patch0:		%{name}-examples-paths.patch
Patch1:		%{name}-link.patch
URL:		http://reality.sgi.com/mjk_asd/glut3/
BuildRequires:	OpenGL-devel
Buildroot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	Mesa-glut
Requires:	OpenGL

%define 	_noautoreqdep	libGL.so.1 libGLU.so.1
%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
A 3-D graphics library which uses the OpenGL API.

%description -l pl
Biblioteka graficzna 3D uywajca API z OpenGL.

%package devel
Summary:	GLUT Development environment
Summary(pl):	rodowisko programistyczne GLUT
Group:		X11/Development/Libraries
Group(de):	X11/Entwicklung/Libraries
Group(es):	X11/Desarrollo/Bibliotecas
Group(fr):	X11/Development/Librairies
Group(pl):	X11/Programowanie/Biblioteki
Group(pt_BR):	X11/Desenvolvimento/Bibliotecas
Group(ru):	X11//
Group(uk):	X11//̦
Requires:	%{name} = %{version}
Requires:	OpenGL-devel
Obsoletes:	Mesa-glut-devel

%description devel
Header files needed for development aplications using GLUT library.

%description -l pl devel
Pliki nagwkowe dla biblioteki GLUT.

%package static
Summary:	GLUT Static libraries
Summary(pl):	Biblioteki statyczne do biblioteki GLUT
Group:		X11/Development/Libraries
Group(de):	X11/Entwicklung/Libraries
Group(es):	X11/Desarrollo/Bibliotecas
Group(fr):	X11/Development/Librairies
Group(pl):	X11/Programowanie/Biblioteki
Group(pt_BR):	X11/Desenvolvimento/Bibliotecas
Group(ru):	X11//
Group(uk):	X11//̦
Requires:	%{name}-devel = %{version}
Obsoletes:	Mesa-glut-static

%description static
The static version of the GLUT library.

%description -l pl static
Biblioteki statyczne dla biblioteki GLUT.

%package examples
Summary:	GLUT demonstration programs
Summary(pl):	GLUT programy demonstracyjne
Group:		X11/Development/Libraries
Group(de):	X11/Entwicklung/Libraries
Group(es):	X11/Desarrollo/Bibliotecas
Group(fr):	X11/Development/Librairies
Group(pl):	X11/Programowanie/Biblioteki
Group(pt_BR):	X11/Desenvolvimento/Bibliotecas
Group(ru):	X11//
Group(uk):	X11//̦

%description examples
Sample programs.

%description -l pl examples
Przykadowe programy.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

install %{SOURCE1} .

%build
rm -f Glut.cf
cp -f linux/Glut.cf .
./mkmkfiles.imake
cd lib/glut
rm -f Makefile
cp -f ../../linux/Makefile .
%{__make} depend
%{__make} "BOOTSTRAPCFLAGS=%{rpmcflags} -fPIC" \
	"CDEBUGFLAGS=" "CCOPTIONS=%{rpmcflags} -fPIC" \
	"CXXDEBUGFLAGS=" "CXXOPTIONS=%{rpmcflags} -fPIC"

#make libglsmap.a
(cd ../glsmap; %{__make} "BOOTSTRAPCFLAGS=%{rpmcflags}" \
	"CDEBUGFLAGS=" "CCOPTIONS=%{rpmcflags}" \
	"CXXDEBUGFLAGS=" "CXXOPTIONS=%{rpmcflags}")

#make libmui.a
(cd ../mui; %{__make} "BOOTSTRAPCFLAGS=%{rpmcflags}" \
	"CDEBUGFLAGS=" "CCOPTIONS=%{rpmcflags}" \
	"CXXDEBUGFLAGS=" "CXXOPTIONS=%{rpmcflags}")

#prepare to make manuals
(cd ../../man
	sed s/gle// Imakefile > Imakefile.tmp
	mv -f Imakefile.tmp Imakefile
	xmkmf
)

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_mandir}/man3,%{_includedir}} \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

install lib/glut/libglut.so.*.* $RPM_BUILD_ROOT%{_libdir}
ln -sf libglut.so.3 $RPM_BUILD_ROOT%{_libdir}/libglut.so

install lib/*/lib*.a $RPM_BUILD_ROOT%{_libdir}

rm -f include/GL/tube.h
cp -rp include/* $RPM_BUILD_ROOT%{_includedir}

(cd man; make DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir}/man3 install.man)

gzip -9nf NOTICE CHANGES FAQ.glut README*

#installing examples...
(cd progs
find . -name Makefile.win -o -name Makefile.sgi -o -name Makefile.bak | xargs rm -f
cp -rp * $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version})

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc *.gz
%{_includedir}/GL/*.h
%{_includedir}/mui
%{_libdir}/lib*.so
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: glut.spec,v $
Revision 1.22  2001/10/20 16:50:16  qboosh
- release 9: fixed libglut.so linking (link with used libraries)

Revision 1.21  2001/08/21 17:48:45  roman
- reverting last changes

Revision 1.20  2001/08/20 23:11:59  roman
- changed OpenGL-devel to XFree86-OpenGL-devel
- commented out Requires: OpenGL
- STBR

Revision 1.19  2001/04/07 10:35:02  jajcus
- _noautoreqdep   libGL.so.1 libGLU.so.1

Revision 1.18  2001/04/05 16:06:52  qboosh
- using %%rpmcflags macro
- base package Requires OpenGL, -devel Requires OpenGL-devel
- removed gle - now it's in separate package (gle.spec)
- release 8

Revision 1.17  2001/03/12 22:09:11  kloczek
- release 7,
- fxed typo in %install.

Revision 1.16  2001/01/25 20:03:23  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.15  2001/01/19 10:48:05  kloczek
- release 6: make spec %%{debug} ready.

Revision 1.14  2000/12/29 14:02:44  kloczek
- release 5: use new rpm automation.

Revision 1.13  2000/12/27 22:36:28  kloczek
- adapterized.

Revision 1.12  2000/11/14 13:16:41  zagrodzki
- release 4

Revision 1.11  2000/06/26 17:24:43  baggins
- really use RPM_OPT_FLAGS

Revision 1.10  2000/06/21 10:47:58  cieciwa
- added libglut.so to devel package.

Revision 1.9  2000/06/09 07:22:51  kloczek
- added using %%{__make} macro.

Revision 1.8  2000/05/18 23:46:00  kloczek
- spec adapterized.

Revision 1.7  2000/04/21 05:00:12  kloczek
- release 3.

Revision 1.6  2000/04/20 06:45:35  cieciwa
- changed BuildRequires:
		from Mesa-devel to OpenGL-devel.

Revision 1.5  2000/04/07 10:21:23  kloczek
- removed pdf %doc and merged doc package to devel,
- added stripping shared libraries,
- added using $RPM_OPT_FALGS during compile,
- simplifications and cosmetics.

Revision 1.4  2000/04/07 08:13:34  cieciwa
- fixed %%description.

Revision 1.3  2000/04/05 10:49:37  cieciwa
- release 2,
- rename package demos to examples,
- copy demo source to /usr/src/examples/glut directory,
- NOT fixed %%description !!.

Revision 1.2  2000/04/05 08:49:28  cieciwa
- some fixes,
- added more package.

Revision 1.1  2000/04/05 06:46:39  cieciwa
- initial spec.

* Thu Oct  7 1999 Wojciech "Sas" Ciciwa <cieciwa@alpha.zarz.agh.edu.pl>
-Build RPM.
